/[gcl]/gcl/configure
ViewVC logotype

Diff of /gcl/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.108 by mjthomas, Tue Apr 8 23:15:55 2003 UTC revision 1.109 by mjthomas, Tue Jul 1 07:32:15 2003 UTC
# Line 840  Optional Features: Line 840  Optional Features:
840   --enable-emacsdir=XXXX will manually specify the location for elisp files   --enable-emacsdir=XXXX will manually specify the location for elisp files
841   --enable-common-binary=yes forces use of lowest common denominator instruction sets, (default is =yes)   --enable-common-binary=yes forces use of lowest common denominator instruction sets, (default is =yes)
842   --enable-japi=yes will compile in support for the JAPI graphical interface if present on your system   --enable-japi=yes will compile in support for the JAPI graphical interface if present on your system
843     --enable-xdr=yes will compile in support for XDR
844   --enable-dlopen uses dlopen for loading objects, which can then not be retained  in saved images   --enable-dlopen uses dlopen for loading objects, which can then not be retained  in saved images
845    
846   --enable-statsysbfd uses a static sytem bfd library for loading and relocationing object files   --enable-statsysbfd uses a static sytem bfd library for loading and relocationing object files
# Line 1227  ac_compiler_gnu=$ac_cv_c_compiler_gnu Line 1228  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1228  ac_config_headers="$ac_config_headers h/gclincl.h"  ac_config_headers="$ac_config_headers h/gclincl.h"
1229    
1230    
1231  VERSION=2.5.0  VERSION=2.5.4
1232    
1233    
1234  # some parts of this configure script are taken from the tcl configure.in  # some parts of this configure script are taken from the tcl configure.in
# Line 1330  else Line 1331  else
1331    try_japi="no"    try_japi="no"
1332  fi;  fi;
1333    
1334    # Check whether --enable-xdr or --disable-xdr was given.
1335    if test "${enable_xdr+set}" = set; then
1336      enableval="$enable_xdr"
1337      try_xdr=$enableval
1338    else
1339      try_xdr="no"
1340    fi;
1341    
1342  #  #
1343  # Host information  # Host information
1344  #  #
# Line 6825  else Line 6834  else
6834    true    true
6835  fi  fi
6836    
6837  # AC_CHECK_LIB(japi,j_start,LIBS="${LIBS} -ljapi -lwsock32",true)  # AC_CHECK_LIB(japi,j_start,LIBS="${LIBS} -ljapi -lws2_32",true)
6838  EXTRA_LOBJS=  EXTRA_LOBJS=
6839  if test "$try_japi" = "yes" ; then  if test "$try_japi" = "yes" ; then
6840    
# Line 6942  _ACEOF Line 6951  _ACEOF
6951  _ACEOF  _ACEOF
6952    
6953                                   EXTRA_LOBJS="${EXTRA_LOBJS} japi.o"                                   EXTRA_LOBJS="${EXTRA_LOBJS} japi.o"
6954                                   LIBS="${LIBS} -ljapi -lwsock32"                                   LIBS="${LIBS} -ljapi -lws2_32"
6955    fi
6956    
6957    done
6958    
6959    fi
6960    if test "$use" = "mingw" ; then
6961     if test "$try_xdr" = "yes" ; then
6962    
6963    for ac_header in rpc/rpc.h
6964    do
6965    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6966    if eval "test \"\${$as_ac_Header+set}\" = set"; then
6967      echo "$as_me:$LINENO: checking for $ac_header" >&5
6968    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6969    if eval "test \"\${$as_ac_Header+set}\" = set"; then
6970      echo $ECHO_N "(cached) $ECHO_C" >&6
6971    fi
6972    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6973    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6974    else
6975      # Is the header compilable?
6976    echo "$as_me:$LINENO: checking $ac_header usability" >&5
6977    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6978    cat >conftest.$ac_ext <<_ACEOF
6979    #line $LINENO "configure"
6980    #include "confdefs.h"
6981    $ac_includes_default
6982    #include <$ac_header>
6983    _ACEOF
6984    rm -f conftest.$ac_objext
6985    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6986      (eval $ac_compile) 2>&5
6987      ac_status=$?
6988      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6989      (exit $ac_status); } &&
6990             { ac_try='test -s conftest.$ac_objext'
6991      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6992      (eval $ac_try) 2>&5
6993      ac_status=$?
6994      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6995      (exit $ac_status); }; }; then
6996      ac_header_compiler=yes
6997    else
6998      echo "$as_me: failed program was:" >&5
6999    cat conftest.$ac_ext >&5
7000    ac_header_compiler=no
7001    fi
7002    rm -f conftest.$ac_objext conftest.$ac_ext
7003    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7004    echo "${ECHO_T}$ac_header_compiler" >&6
7005    
7006    # Is the header present?
7007    echo "$as_me:$LINENO: checking $ac_header presence" >&5
7008    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
7009    cat >conftest.$ac_ext <<_ACEOF
7010    #line $LINENO "configure"
7011    #include "confdefs.h"
7012    #include <$ac_header>
7013    _ACEOF
7014    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7015      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7016      ac_status=$?
7017      egrep -v '^ *\+' conftest.er1 >conftest.err
7018      rm -f conftest.er1
7019      cat conftest.err >&5
7020      echo "$as_me:$LINENO: \$? = $ac_status" >&5
7021      (exit $ac_status); } >/dev/null; then
7022      if test -s conftest.err; then
7023        ac_cpp_err=$ac_c_preproc_warn_flag
7024      else
7025        ac_cpp_err=
7026      fi
7027    else
7028      ac_cpp_err=yes
7029    fi
7030    if test -z "$ac_cpp_err"; then
7031      ac_header_preproc=yes
7032    else
7033      echo "$as_me: failed program was:" >&5
7034      cat conftest.$ac_ext >&5
7035      ac_header_preproc=no
7036    fi
7037    rm -f conftest.err conftest.$ac_ext
7038    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7039    echo "${ECHO_T}$ac_header_preproc" >&6
7040    
7041    # So?  What about this header?
7042    case $ac_header_compiler:$ac_header_preproc in
7043      yes:no )
7044        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
7045    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
7046        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
7047    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
7048      no:yes )
7049        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
7050    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
7051        { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
7052    echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
7053        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
7054    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
7055    esac
7056    echo "$as_me:$LINENO: checking for $ac_header" >&5
7057    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
7058    if eval "test \"\${$as_ac_Header+set}\" = set"; then
7059      echo $ECHO_N "(cached) $ECHO_C" >&6
7060    else
7061      eval "$as_ac_Header=$ac_header_preproc"
7062    fi
7063    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
7064    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
7065    
7066    fi
7067    if test `eval echo '${'$as_ac_Header'}'` = yes; then
7068      cat >>confdefs.h <<_ACEOF
7069    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
7070    _ACEOF
7071     cat >>confdefs.h <<\_ACEOF
7072    #define HAVE_XDR 1
7073    _ACEOF
7074    
7075                                     LIBS="${LIBS} -loncrpc"
7076  fi  fi
7077    
7078  done  done
7079    
7080     fi
7081    else
7082     if test "$try_xdr" = "yes" ; then
7083    
7084    for ac_header in rpc/rpc.h
7085    do
7086    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7087    if eval "test \"\${$as_ac_Header+set}\" = set"; then
7088      echo "$as_me:$LINENO: checking for $ac_header" >&5
7089    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
7090    if eval "test \"\${$as_ac_Header+set}\" = set"; then
7091      echo $ECHO_N "(cached) $ECHO_C" >&6
7092    fi
7093    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
7094    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
7095    else
7096      # Is the header compilable?
7097    echo "$as_me:$LINENO: checking $ac_header usability" >&5
7098    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
7099    cat >conftest.$ac_ext <<_ACEOF
7100    #line $LINENO "configure"
7101    #include "confdefs.h"
7102    $ac_includes_default
7103    #include <$ac_header>
7104    _ACEOF
7105    rm -f conftest.$ac_objext
7106    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7107      (eval $ac_compile) 2>&5
7108      ac_status=$?
7109      echo "$as_me:$LINENO: \$? = $ac_status" >&5
7110      (exit $ac_status); } &&
7111             { ac_try='test -s conftest.$ac_objext'
7112      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7113      (eval $ac_try) 2>&5
7114      ac_status=$?
7115      echo "$as_me:$LINENO: \$? = $ac_status" >&5
7116      (exit $ac_status); }; }; then
7117      ac_header_compiler=yes
7118    else
7119      echo "$as_me: failed program was:" >&5
7120    cat conftest.$ac_ext >&5
7121    ac_header_compiler=no
7122    fi
7123    rm -f conftest.$ac_objext conftest.$ac_ext
7124    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7125    echo "${ECHO_T}$ac_header_compiler" >&6
7126    
7127    # Is the header present?
7128    echo "$as_me:$LINENO: checking $ac_header presence" >&5
7129    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
7130    cat >conftest.$ac_ext <<_ACEOF
7131    #line $LINENO "configure"
7132    #include "confdefs.h"
7133    #include <$ac_header>
7134    _ACEOF
7135    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7136      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7137      ac_status=$?
7138      egrep -v '^ *\+' conftest.er1 >conftest.err
7139      rm -f conftest.er1
7140      cat conftest.err >&5
7141      echo "$as_me:$LINENO: \$? = $ac_status" >&5
7142      (exit $ac_status); } >/dev/null; then
7143      if test -s conftest.err; then
7144        ac_cpp_err=$ac_c_preproc_warn_flag
7145      else
7146        ac_cpp_err=
7147      fi
7148    else
7149      ac_cpp_err=yes
7150    fi
7151    if test -z "$ac_cpp_err"; then
7152      ac_header_preproc=yes
7153    else
7154      echo "$as_me: failed program was:" >&5
7155      cat conftest.$ac_ext >&5
7156      ac_header_preproc=no
7157    fi
7158    rm -f conftest.err conftest.$ac_ext
7159    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7160    echo "${ECHO_T}$ac_header_preproc" >&6
7161    
7162    # So?  What about this header?
7163    case $ac_header_compiler:$ac_header_preproc in
7164      yes:no )
7165        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
7166    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
7167        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
7168    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
7169      no:yes )
7170        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
7171    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
7172        { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
7173    echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
7174        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
7175    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
7176    esac
7177    echo "$as_me:$LINENO: checking for $ac_header" >&5
7178    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
7179    if eval "test \"\${$as_ac_Header+set}\" = set"; then
7180      echo $ECHO_N "(cached) $ECHO_C" >&6
7181    else
7182      eval "$as_ac_Header=$ac_header_preproc"
7183    fi
7184    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
7185    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
7186    
7187    fi
7188    if test `eval echo '${'$as_ac_Header'}'` = yes; then
7189      cat >>confdefs.h <<_ACEOF
7190    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
7191    _ACEOF
7192     cat >>confdefs.h <<\_ACEOF
7193    #define HAVE_XDR 1
7194    _ACEOF
7195    
7196                                     LIBS="${LIBS} -lrpc"
7197    fi
7198    
7199    done
7200    
7201     fi
7202  fi  fi
7203    
7204  # Should really find a way to check for prototypes, but this  # Should really find a way to check for prototypes, but this
# Line 9393  O2FLAGS=$TO2FLAGS Line 9645  O2FLAGS=$TO2FLAGS
9645  if test -f h/$use.defs  ; then  if test -f h/$use.defs  ; then
9646    
9647    
9648    ac_config_files="$ac_config_files makedefc windows/gcl.iss"    ac_config_files="$ac_config_files makedefc windows/gcl.iss windows/gcl.ansi.iss"
9649  cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
9650  # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
9651  # tests run on this system so they can be shared between configure  # tests run on this system so they can be shared between configure
# Line 9866  do Line 10118  do
10118    # Handling of arguments.    # Handling of arguments.
10119    "makedefc" ) CONFIG_FILES="$CONFIG_FILES makedefc" ;;    "makedefc" ) CONFIG_FILES="$CONFIG_FILES makedefc" ;;
10120    "windows/gcl.iss" ) CONFIG_FILES="$CONFIG_FILES windows/gcl.iss" ;;    "windows/gcl.iss" ) CONFIG_FILES="$CONFIG_FILES windows/gcl.iss" ;;
10121      "windows/gcl.ansi.iss" ) CONFIG_FILES="$CONFIG_FILES windows/gcl.ansi.iss" ;;
10122    "h/gclincl.h" ) CONFIG_HEADERS="$CONFIG_HEADERS h/gclincl.h" ;;    "h/gclincl.h" ) CONFIG_HEADERS="$CONFIG_HEADERS h/gclincl.h" ;;
10123    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
10124  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}

Legend:
Removed from v.1.108  
changed lines
  Added in v.1.109

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26